Bug 589574 - Anaconda is leaking descriptors in getDevices
Summary: Anaconda is leaking descriptors in getDevices
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: anaconda   
(Show other bugs)
Version: 6.0
Hardware: All
OS: Linux
low
medium
Target Milestone: rc
: ---
Assignee: Martin Sivák
QA Contact: Release Test Team
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 586905 589580 590015
TreeView+ depends on / blocked
 
Reported: 2010-05-06 13:12 UTC by Martin Sivák
Modified: 2010-11-10 19:43 UTC (History)
1 user (show)

Fixed In Version: anaconda-13.21.37-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 589580 (view as bug list)
Environment:
Last Closed: 2010-11-10 19:43:09 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Cleanup after dir scanning (793 bytes, patch)
2010-05-06 13:13 UTC, Martin Sivák
no flags Details | Diff

Description Martin Sivák 2010-05-06 13:12:52 UTC
Description of problem:

While working on another bug, which used lots of calls to getDevices, anaconda crashed with "Too many open files". After investigating it I found the culprit.

We open directories in getDevices, but we never close them when we are done with them and we run out of free descriptors after a while...

Version-Release number of selected component (if applicable):

RHEL6 Beta1, but we have this error almost in all versions. This has to be fixed for

How reproducible:

With modified RHEL6b1 loader (patch from #586905) anaconda partially segfaults and then tries to connect to NM with Too many open files errors.

Comment 1 Martin Sivák 2010-05-06 13:13:47 UTC
Created attachment 412011 [details]
Cleanup after dir scanning

Comment 2 RHEL Product and Program Management 2010-05-06 13:34:54 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.

Comment 3 Martin Sivák 2010-05-07 08:45:38 UTC
This will be included in the next anaconda build anaconda-13.21.37-1.

Comment 5 Marian Ganisin 2010-07-07 12:31:07 UTC
Successfully reproduced in anaconda 13.21.32 and verified issue is fixed in RHEL6.0-20100701.3

Comment 6 releng-rhel@redhat.com 2010-11-10 19:43:09 UTC
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.